App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mhr.appcore.interfaces.ImageFile Interface Reference
Inheritance diagram for mhr.appcore.interfaces.ImageFile:

## Public Member Functions
Document | getDocument ()
void | writeDocument () throws ImageFileOutputException
PDBitmap | createBitmap (BitmapInfo i)
PDBitmap | loadBitmap (String fName) throws ImageFileInputException
void | writeBitmap (PDBitmap bitmap, String fName) throws ImageFileOutputException
PDBitmap | loadMask (String fName) throws ImageFileInputException
void | writeMask (PDBitmap mask, String fName) throws ImageFileOutputException
PDBitmap | loadOutput () throws ImageFileInputException
void | saveOutput (PDBitmap output) throws ImageFileOutputException
void | deleteFile ()

## Detailed Description

Definition at line 9 of file ImageFile.java.

## Member Function Documentation

PDBitmap mhr.appcore.interfaces.ImageFile.createBitmap | ( | BitmapInfo | i | ) |

Implemented in mhr.appandroid.adapters.AndroidImageFile.

void mhr.appcore.interfaces.ImageFile.deleteFile | ( |  | ) |

Implemented in mhr.appandroid.adapters.AndroidImageFile.

Document mhr.appcore.interfaces.ImageFile.getDocument | ( |  | ) |

Implemented in mhr.appandroid.adapters.AndroidImageFile.

PDBitmap mhr.appcore.interfaces.ImageFile.loadBitmap | ( | String | fName | ) | throws ImageFileInputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

PDBitmap mhr.appcore.interfaces.ImageFile.loadMask | ( | String | fName | ) | throws ImageFileInputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

PDBitmap mhr.appcore.interfaces.ImageFile.loadOutput | ( |  | ) | throws ImageFileInputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

void mhr.appcore.interfaces.ImageFile.saveOutput | ( | PDBitmap | output | ) | throws ImageFileOutputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

void mhr.appcore.interfaces.ImageFile.writeBitmap | ( | PDBitmap | bitmap,
|  | String | fName
| ) |  | throws ImageFileOutputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

void mhr.appcore.interfaces.ImageFile.writeDocument | ( |  | ) | throws ImageFileOutputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

void mhr.appcore.interfaces.ImageFile.writeMask | ( | PDBitmap | mask,
|  | String | fName
| ) |  | throws ImageFileOutputException

Implemented in mhr.appandroid.adapters.AndroidImageFile.

The documentation for this interface was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/interfaces/ImageFile.java